---
title: AudioParam.cancelScheduledValues()
slug: Web/API/AudioParam/cancelScheduledValues
tags:
  - API
  - AudioParam
  - Method
  - Reference
  - Web Audio API
  - cancelScheduledValues
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>cancelScheduledValues()</code> method of the {{ domxref("AudioParam") }} Interface cancels all scheduled future changes to the <code>AudioParam</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var AudioParam = AudioParam.cancelScheduledValues(<em>startTime</em>)</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>startTime</dt>
 <dd>A double representing the time (in seconds) after the {{ domxref("AudioContext") }} was first created after which all scheduled changes will be cancelled.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A reference to this <code>AudioParam</code> object. In some older implementations this method returns void.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var gainNode = audioCtx.createGain();
gainNode.gain.setValueCurveAtTime(waveArray, audioCtx.currentTime, 2); //'gain' is the AudioParam
gainNode.gain.cancelScheduledValues(audioCtx.currentTime);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioparam-cancelscheduledvalues', 'cancelScheduledValues')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioParam.cancelScheduledValues")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
